/**
 *
 */
const shell = require('shelljs');
const ora = require('ora');
const chalk = require('chalk');


module.exports = {
  init({
    archetypeArtifactId, archetypeVersion, groupId, artifactId
  }) {
    const sp = ora().start('创建项目...\n');

    const mvnCmd = `mvn archetype:generate \
      -DinteractiveMode=false \
      -DarchetypeGroupId=agile.framework.plugin \
      -DarchetypeArtifactId=${archetypeArtifactId} \
      -DarchetypeVersion=${archetypeVersion} \
      -DgroupId=${groupId} \
      -DartifactId=${artifactId} \
      -Dversion=1.0.0 \
      -Dpackage=${groupId}.${artifactId} \
      -Dgoals=clean`;

    shell.exec(mvnCmd);

    sp.succeed(chalk.green('创建完成.'));

    process.exit(0);
  }
};
