/**
 *
 */
const ora = require('ora');
const chalk = require('chalk');

const path = require('path');

const utils = require('./utils');


module.exports = {
  async init({
    projectDir, name, url, type
  }) {
    const sp = ora().start('初始化项目...\n');

    const errorMessage = await utils
      .downloadGitZipFileAndExtract(url, type, path.resolve(projectDir, name));

    if (errorMessage) {
      sp.fail(chalk.red(errorMessage));
      process.exit(1);
      return;
    }
    sp.succeed(chalk.green('初始化完成.'));
    process.exit(0);
  }
};
